Bug 61750 - Kernel Panic caused by cc1plus when compiling gwenview 0.12.0
Kernel Panic caused by cc1plus when compiling gwenview 0.12.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-24 00:24 EST by Ian Koenig
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Koenig 2002-03-24 00:24:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
When compiling gwenview 0.12.0 using gcc-c++-2.96-98 on RedHat 7.2 running
kernel-2.4.9-31 with qt-2.3.1-5, I get kernel panics caused by the cc1plus
program.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. download the gwenview 0.12.0 from http://gwenview.sourceforge.net
2. run ./configure
3. run make
4. If you wish to speed up the crash run kde 2.2.2-1 (redhat version) with
mozilla-0.9.9-0 (from mozilla.org)  The panic will occur at various times
thorugh the compile.  

I'm running AMD K6-2 350Mhz with 128 Meg RAM & Voodoo 3 card.  
	

Actual Results:  I get the following with the first 34 characters removed from
the listing (pulled this panic information from /var/log/messages):


invalid operand: 0000
Kernel 2.4.9-31
CPU:    0
EIP:    0010:[do_munmap+56/608]    Not tainted
EIP:    0010:[<c0124fa8>]    Not tainted
EFLAGS: 00010202
EIP is at do_munmap [kernel] 0x38
eax: 388a89c0   ebx: 00000003   ecx: 00001000   edx: c7757640
esi: 00000073   edi: 00000000   ebp: 40f1f000   esp: c69a9ed8
ds: 0018   es: 0018   ss: 0018
Process cc1plus (pid: 7322, stackpage=c69a9000)
Stack: c69a9edc 00000000 c13e1fd8 c05323e0 c69a9f08 00000086 00000086 00000003
       00000003 00000073 00000000 40f1f000 c0124638 c7757640 40f1f000 00001000
       fffffff4 00000000 c7757640 c69a8000 c7757640 0850d000 00030002 c69a8000
Call Trace: [do_mmap_pgoff+488/1072] do_mmap_pgoff [kernel] 0x1e8
Call Trace: [<c0124638>] do_mmap_pgoff [kernel] 0x1e8
[old_mmap+237/304] old_mmap [kernel] 0xed
[<c010b6ed>] old_mmap [kernel] 0xed
[run_all_timers+23/32] run_all_timers [kernel] 0x17
[<c011d337>] run_all_timers [kernel] 0x17
[bh_action+27/80] bh_action [kernel] 0x1b
[<c0119b0b>] bh_action [kernel] 0x1b
[tasklet_hi_action+80/128] tasklet_hi_action [kernel] 0x50
[<c0119a20>] tasklet_hi_action [kernel] 0x50
[system_call+51/64] system_call [kernel] 0x33
[<c0106f33>] system_call [kernel] 0x33


Code: ff ff 89 44 24 38 75 10 b8 ea ff ff ff e9 00 02 00 00 8d b6

Expected Results:  Standard successful compile with executable afterwards.  

Additional info:

I will be happy to assist in anyway that I can for this issue.
Comment 1 Jakub Jelinek 2002-03-25 06:37:45 EST
Kernel panic is kernel problem.
Comment 2 Bugzilla owner 2004-09-30 11:39:27 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.